V1 and V2Relationships
Search relationships
Filter relationships by multiple criteria.
Filter structure and format is described under the Resources section in this guide, available fields can be queried using relationship filters endpoint
Authorization
bearerAuth AuthorizationBearer <token>
Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST 'https://example.com/api/v1/relationships/search' \ -H 'Content-Type: application/json' \ --data-raw '{ "attributes": [ "id", "modified", "name", "symmetrical" ], "filters": [ [ { "field": "name", "operator": "like", "value": "free" }, { "field": "symmetrical", "operator": "eq", "value": true } ] ], "relationship_filters": [], "pagination": { "count": 4, "order": "name", "page": 1 }}'{ "data": [ { "id": "64ad0d69573a2e83cd38b146", "label": "gift_pack", "modified": "2023-07-11T08:06:01.419000+00:00", "name": "Gift pack" } ], "pagination": { "count": 1, "order": "name", "page": 1, "page_size": 25, "total_count": 4 }}